Description:
Creates a preview image of one or more meshes.
Syntax:
public static Bitmap CreateMeshPreviewImage(
IEnumerable<Mesh> meshes,
IEnumerable<Color> colors,
Size size
)
IEnumerable<Mesh> meshes,
IEnumerable<Color> colors,
Size size
)
Parameters:
- meshes
- Type: IEnumerable<Geometry.Mesh>
- The meshes.
- colors
- Type: IEnumerable<Color>
- The draw colors, one for each mesh.
- size
- Type: Size
- The size of the preview image.
Returns:
Type: Bitmap
A bitmap if successful, None otherwise.
Available since:
6.0
Description:
Creates a preview image of a mesh.
Parameters:
- mesh
- Type: Rhino.Geometry.Mesh
- The mesh.
- color
- Type: Color
- The draw color.
- size
- Type: Size
- The size of the preview image.
Returns:
Type: Bitmap
A bitmap if successful, None otherwise.
Available since:
6.0
Description:
Creates a preview image of one or more meshes.
Syntax:
public static Bitmap CreateMeshPreviewImage(
RhinoDoc doc,
IEnumerable<Mesh> meshes,
IEnumerable<Color> colors,
Size size
)
RhinoDoc doc,
IEnumerable<Mesh> meshes,
IEnumerable<Color> colors,
Size size
)
Parameters:
- doc
- Type: RhinoDoc
- The active document.
- meshes
- Type: IEnumerable<Geometry.Mesh>
- The meshes.
- colors
- Type: IEnumerable<Color>
- The draw colors, one for each mesh.
- size
- Type: Size
- The size of the preview image.
Returns:
Type: Bitmap
A bitmap if successful, None otherwise.
Available since:
7.0